﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[TVCSTR]') AND name = N'XTVCSTR1')
BEGIN 
PRINT 'Creating index XTVCSTR1 on table TVCSTR'
CREATE UNIQUE NONCLUSTERED INDEX [XTVCSTR1] ON [dbo].[TVCSTR] 
(
	[FILE] ASC,
	[SEQN] ASC,
	[VRSN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TVCSTR' AND COLUMN_NAME = 'FLAG' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_TVCSTR_FLAG')
BEGIN 
    PRINT 'Creating default constraint DF_TVCSTR_FLAG on table TVCSTR' 
    ALTER TABLE [dbo].[TVCSTR]
    ADD CONSTRAINT [DF_TVCSTR_FLAG] DEFAULT ((0)) FOR [FLAG]
END 
GO

